For the complete documentation index, see llms.txt. This page is also available as Markdown.

Calllogs

List call logs

get

Retrieve a collection of call logs.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
countinteger · int64Optional

Total number of resource.

Example: 100
get/calllogs
GET /api/calllogs HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "count": 100,
  "items": [
    {
      "id": "NzAwNTUxOTA5NzczMTQ4MTYw",
      "session_id": "NzAwNTUxOTA5NzczMTQ4MTYw",
      "caller": "text",
      "caller_domain": "text",
      "caller_display_name": "text",
      "callee": "text",
      "callee_domain": "text",
      "callee_display_name": "text",
      "started_at": "2017-07-21T17:32:28Z",
      "rang_at": "2017-07-21T17:32:28Z",
      "answered_at": "2017-07-21T17:32:28Z",
      "ended_at": "2017-07-21T17:32:28Z",
      "call_id": "text",
      "direction": "INBOUND_CALL",
      "end_reason": "CALLER_DISCONNECTED",
      "reroute_reason": "TRANSFER",
      "status_code": 1,
      "destination": "text",
      "outbound_caller_id": "text",
      "did_cid": "text",
      "trunk": "text",
      "duration": 1,
      "service_number": "text",
      "user_data": "text"
    }
  ]
}

Retrieve call log detailed information.

get

Retrieve details of call log.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
session_idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
callerstring · max: 256Optional

The caller number of the call.

caller_domainstring · max: 1024Optional

The caller domain of the call.

caller_display_namestring · max: 1024Optional

The caller display name of the call.

calleestring · max: 256Optional

The callee number of the call.

callee_domainstring · max: 1024Optional

The callee domain of the call.

callee_display_namestring · max: 1024Optional

The callee display name of the call.

started_atstring · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
rang_atstring · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
answered_atstring · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
ended_atstring · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
call_idstringOptional

The call ID of CDR.

directionstring · enumOptional

The direction of CDR:

  • INBOUND_CALL:
  • OUTBOUND_CALL:
  • EXTENSION_CALL:
  • INBOUND_OUTBOUND_CALL:
Possible values:
end_reasonstring · enumOptional

The ended reason of CDR:
Can be either:

  • CALLER_DISCONNECTED:
  • CALLEE_DISCONNECTED:
  • BLIND_TRANSFER_COMPLETED:
  • CONSULT_TRANSFER_COMPLETED:
  • REPLACED:
  • REFERRED:
  • REDIRECTED:
  • CANCELLED:
Possible values:
reroute_reasonstring · enumOptional

The reroute reason of CDR:
Can be either:

  • TRANSFER:
  • OVERFLOW:
Possible values:
status_codeintegerOptional

The status code of CDR.

destinationstringOptional

The destination number of CDR.

outbound_caller_idstring · min: 1 · max: 64Optional

Outbound caller id.

did_cidstringOptional

The DID CID of CDR.

trunkstringOptional

The trunk name of CDR.

durationinteger · int32Optional

The total talk time for a session (in seconds).

costnumber · doubleOptional

The cost for this call.

billed_accountstringOptional

The account name for billing.

service_numberstringOptional

The service number of the call.

user_datastringOptional

The additional custom user data of CDR.

get/calllogs/{id}
GET /api/calllogs/{id} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "NzAwNTUxOTA5NzczMTQ4MTYw",
  "session_id": "NzAwNTUxOTA5NzczMTQ4MTYw",
  "caller": "text",
  "caller_domain": "text",
  "caller_display_name": "text",
  "callee": "text",
  "callee_domain": "text",
  "callee_display_name": "text",
  "started_at": "2017-07-21T17:32:28Z",
  "rang_at": "2017-07-21T17:32:28Z",
  "answered_at": "2017-07-21T17:32:28Z",
  "ended_at": "2017-07-21T17:32:28Z",
  "call_id": "text",
  "direction": "INBOUND_CALL",
  "end_reason": "CALLER_DISCONNECTED",
  "reroute_reason": "TRANSFER",
  "status_code": 1,
  "destination": "text",
  "outbound_caller_id": "text",
  "did_cid": "text",
  "trunk": "text",
  "duration": 1,
  "cost": 1,
  "billed_account": "text",
  "service_number": "text",
  "user_data": "text"
}

Was this helpful?